Bug 104683 - Repocopy lang/gcc42 to lang/gcc43.
Summary: Repocopy lang/gcc42 to lang/gcc43.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-22 20:50 UTC by Gerald Pfeifer
Modified: 2006-11-06 10:40 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2006-10-22 20:50:19 UTC
	Please repocopy lang/gcc42 to lang/gcc43.  GCC 4.2 has branched,
	so we now got two codestreams upstream: lang/gcc42 will track the
	GCC 4.2 release branch; the new lang/gcc43 will continue to track
	active GCC development.

	ALTERNATIVELY, please tell me it's okay to just commit this as a
	new port.  Avoiding the repocopy actually may make sense: the gcc42
	port doesn't have too much in common with the original egcs port,
	and too tags already read old_old_..._old_old.
Comment 1 Edwin Groothuis freebsd_committer 2006-10-22 20:50:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Submitter is maintainer and has GNATS access
Comment 2 Gerald Pfeifer freebsd_committer 2006-10-22 20:50:43 UTC
State Changed
From-To: open->repocopy

Portmgr territory. 


Comment 3 Gerald Pfeifer freebsd_committer 2006-10-22 20:50:43 UTC
Responsible Changed
From-To: gerald->portmgr

Portmgr territory.
Comment 4 Joe Marcus Clarke freebsd_committer 2006-11-01 20:20:54 UTC
State Changed
From-To: repocopy->open

Repocopy completed. 


Comment 5 Joe Marcus Clarke freebsd_committer 2006-11-01 20:20:54 UTC
Responsible Changed
From-To: portmgr->gerald

Repocopy completed.
Comment 6 dfilter service freebsd_committer 2006-11-05 14:31:10 UTC
gerald      2006-11-05 14:31:05 UTC

  FreeBSD ports repository

  Modified files:
    lang/gcc43           Makefile distinfo pkg-descr pkg-plist 
  Log:
  And here we go, introducing the lang/gcc43 port in form of the 20061104
  snapshot of GCC 4.3.0; repocopied over from lang/gcc42.
  
  Sadly we now have an unconditional dependency on math/libgmp4 and
  math/mpfr.  On the positive side this allows us to always build the
  Fortran frontend.
  
  PR:             104683
  
  Revision  Changes    Path
  1.289     +9 -17     ports/lang/gcc43/Makefile
  1.178     +18 -18    ports/lang/gcc43/distinfo
  1.9       +2 -2      ports/lang/gcc43/pkg-descr
  1.92      +4 -4      ports/lang/gcc43/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2006-11-05 14:33:22 UTC
gerald      2006-11-05 14:32:58 UTC

  FreeBSD ports repository

  Modified files:
    .                    modules 
  Log:
  And here we go, introducing the lang/gcc43 port in form of the 20061104
  snapshot of GCC 4.3.0; repocopied over from lang/gcc42.
  
  Sadly we now have an unconditional dependency on math/libgmp4 and
  math/mpfr.  On the positive side this allows us to always build the
  Fortran frontend.
  
  PR:             104683
  
  Revision  Changes    Path
  1.16539   +1 -0      CVSROOT/modules
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Gerald Pfeifer freebsd_committer 2006-11-05 14:43:38 UTC
State Changed
From-To: open->closed

Update committed.
Comment 9 dfilter service freebsd_committer 2006-11-06 10:39:18 UTC
gerald      2006-11-06 10:39:12 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Log:
  And here we go, introducing the lang/gcc43 port in form of the 20061104
  snapshot of GCC 4.3.0; repocopied over from lang/gcc42.
  
  Sadly we now have an unconditional dependency on math/libgmp4 and
  math/mpfr.  On the positive side this allows us to always build the
  Fortran frontend.
  
  PR:             104683
  
  Revision  Changes    Path
  1.519     +1 -0      ports/lang/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"